//
// Created by xfj12 on 2025/3/25.
//
#include <solution/3427.h>

#define max(a, b) ((a) > (b) ? (a) : (b))

int subarraySum(int *nums, int numsSize)
{
    int sum = 0;
    for (int i = 0; i < numsSize; i++)
        for (int j = max(0, i - nums[i]); j <= i; j++)
            sum += nums[j];
    return sum;
}
